javax.ejb

## Class TimerConfig

- java.lang.Object
- - javax.ejb.TimerConfig

-     public class TimerConfig
      extends Object

  TimerConfig is used to specify additional timer configuration settings during timer creation.

  The `info` object represents a serializable object made available to corresponding timer callbacks. It is optional and defaults to `null`.

  The `persistent` property determines whether the corresponding timer has a lifetime that spans the JVM in which it was created. It is optional and defaults to `true`.

  Since:
    EJB 3.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimerConfig()`
    `TimerConfig(Serializable info, boolean persistent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Serializable` | `getInfo()` Return the `info` object made available to timer callbacks.
    `boolean` | `isPersistent()` Return whether the timer is persistent.
    `void` | `setInfo(Serializable i)` Set the `info` object made available to timer callbacks.
    `void` | `setPersistent(boolean p)` Specify whether the timer is persistent.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimerConfig

          public TimerConfig()

    - #### TimerConfig

          public TimerConfig(Serializable info,
                     boolean persistent)

  - ### Method Detail

    - #### setInfo

          public void setInfo(Serializable i)

      Set the `info` object made available to timer callbacks.
      Parameters:
        `i` - the info object

    - #### getInfo

          public Serializable getInfo()

      Return the `info` object made available to timer callbacks.
      Returns:
        info object

    - #### setPersistent

          public void setPersistent(boolean p)

      Specify whether the timer is persistent.
      Parameters:
        `p` - boolean indicating whether the timer is to be persistent.

    - #### isPersistent

          public boolean isPersistent()

      Return whether the timer is persistent.
      Returns:
        boolean indicating whether the timer is persistent

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.